%define module_name	ieee80211
%define module_version	1.0.3
%define module_release	alt1.132620.11

%define kversion        2.6.12
%define krelease        alt11
%define flavour         std26-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/ieee80211

Summary: Linux %module_name -  Wireless Stack for Linux
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.sourceforge.net/
BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%package -n kernel-headers-%module_name-%flavour
Summary: ieee80211 driver headers
Group: Development/Kernel
PreReq: kernel-headers-%flavour = %kversion-%krelease
PreReq: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(postun): kernel-headers-modules-%flavour = %kversion-%krelease
Provides: kernel-headers-%module_name-%kversion-%flavour-%krelease = %version-%release

%description
A generic ieee80211 networking stack for the Linux kernel.

%description -n kernel-headers-%module_name-%flavour
This package contains ieee80211 driver headers needed for compiling kernel
modules which interface with these drivers (ipw2100 and ipw2200).

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$PWD \
	    LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ \
	    IEEE80211_INC=%_usrsrc/linux-%kversion-%flavour/include

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir
%__mkdir_p %buildroot/%_prefix/src/linux-%kversion-%flavour/drivers/net/ieee80211
for f in *.ko; do
	mod="${f%.ko}"
	%__cp -a "$mod.o" %buildroot/%_prefix/src/linux-%kversion-%flavour/drivers/net/ieee80211/
done
%__mkdir_p %buildroot/%_prefix/src/linux-%kversion-%flavour/include/net
%__cp -a net/*  %buildroot/%_prefix/src/linux-%kversion-%flavour/include/net/
echo "%name = %version-%release" \
	> %buildroot%_prefix/src/linux-%kversion-%flavour/kernel-modules-%module_name.release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%files -n kernel-headers-%module_name-%flavour
%defattr(644,root,root,755)
%_prefix/src/linux-%kversion-%flavour/include/net/*
%_prefix/src/linux-%kversion-%flavour/drivers/net/ieee80211
%_prefix/src/linux-%kversion-%flavour/kernel-modules-%module_name.release

%changelog
* Tue Jul 19 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.132620.11
- update 1.0.3

* Mon Jul 18 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt2.132620.11
- Fixed build with scripts from kernel CVS.
- Added file with version-release stamp to kernel-headers-ieee80211-%%flavour.
- Added *.o files to kernel-headers-ieee80211-%%flavour to get proper symbol
  versions in dependent modules.

* Thu Jul 14 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt1.132620.11
- initial release
